package com.ximai.mes.pro.domain.prototypeMake;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 打样制作工序工装夹具对象 pro_prototype_request_process_tool
 *
 * @author generator
 * @date 2024-01-27
 */
public class ProPrototypeMakeProcessTool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId
    private Long prototypeMakeProcessToolId;

    /** 打样制作单ID */
    private Long prototypeMakeId;

    /** 打样制作工序ID */
    private Long prototypeMakeProcessId;

    /** 检验项ID */
    @Excel(name = "检验项ID")
    private Long toolId;

    /** 要求数量 */
    @Excel(name = "要求数量")
    private BigDecimal quantity;

    public void setPrototypeMakeProcessToolId(Long prototypeMakeProcessToolId)
    {
        this.prototypeMakeProcessToolId = prototypeMakeProcessToolId;
    }

    public Long getPrototypeMakeProcessToolId()
    {
        return prototypeMakeProcessToolId;
    }
    public void setPrototypeMakeId(Long prototypeMakeId)
    {
        this.prototypeMakeId = prototypeMakeId;
    }

    public Long getPrototypeMakeId()
    {
        return prototypeMakeId;
    }
    public void setPrototypeMakeProcessId(Long prototypeMakeProcessId)
    {
        this.prototypeMakeProcessId = prototypeMakeProcessId;
    }

    public Long getPrototypeMakeProcessId()
    {
        return prototypeMakeProcessId;
    }
    public void setToolId(Long toolId)
    {
        this.toolId = toolId;
    }

    public Long getToolId()
    {
        return toolId;
    }
    public void setQuantity(BigDecimal quantity)
    {
        this.quantity = quantity;
    }

    public BigDecimal getQuantity()
    {
        return quantity;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("prototypeMakeProcessToolId", getPrototypeMakeProcessToolId())
            .append("prototypeMakeId", getPrototypeMakeId())
            .append("prototypeMakeProcessId", getPrototypeMakeProcessId())
            .append("toolId", getToolId())
            .append("quantity", getQuantity())
            .append("remark", getRemark())
            .toString();
    }
}
